Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Interface ActionPipelineProcessor

All Superinterfaces:
  ActionLifecycle

All Known Implementing Classes:
  AbstractActionPipelineProcessor, AbstractObjectXStream, AbstractRouter, Aggregator, BeanConfigActionProcessor, BusinessRulesProcessor, ByteArrayToString, ContentBasedRouter, ContentBasedWiretap, EchoRouter, FileNameGeneratorAction, GroovyActionProcessor, HttpRouter, HttpRouter, JMSRouter, MessageFilter, MessagePersister, MessageRedeliverer, MockAction, ObjectInvoke, ObjectToCSVString, ObjectToXStream, ScriptingAction, SmooksAction, SmooksAction, SmooksTransformer, SOAPClient, SOAPClient, SOAPProcessor, StaticRouter, StaticWiretap, StoreMessageToFile, StringTemplateProcessor, SystemPrintln, TestMessageStore, XStreamToObject

    public interface ActionPipelineProcessor

extends ActionLifecycle

Interface representing processor actions used in a pipeline.

A pipeline will instantiate a single instance of the implementing class for processing every message passing through the pipeline.

Author:
  kevin

Field Summary
`static java.lang.String` | `PROCESS_EXCEPTION_METHOD` The name of the processException method.
`static java.lang.String` | `PROCESS_METHOD` The name of the process method.
`static java.lang.String` | `PROCESS_SUCCESS_METHOD` The name of the processSuccess method.

Method Summary
`Message` | `process(Message message)` Perform the action processing on the specified message.
`void` | `processException(Message message, java.lang.Throwable th)` Process an exception generated by the pipeline processing.
`void` | `processSuccess(Message message)` Process a successful pipeline process.

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`destroy, initialise`

Field Detail

### PROCESS_METHOD

    static final java.lang.String PROCESS_METHOD

  The name of the process method.

  See Also:
    Constant Field Values

### PROCESS_EXCEPTION_METHOD

    static final java.lang.String PROCESS_EXCEPTION_METHOD

  The name of the processException method.

  See Also:
    Constant Field Values

### PROCESS_SUCCESS_METHOD

    static final java.lang.String PROCESS_SUCCESS_METHOD

  The name of the processSuccess method.

  See Also:
    Constant Field Values

Method Detail

### process

    Message process(Message message)
                    throws ActionProcessingException

  Perform the action processing on the specified message. This method is invoked for each message passing throught the pipeline.

  Parameters:
    `message` - The current message being processed.
  Returns:
    The message to be passed to the next stage of the pipeline.
  Throws:
    `ActionProcessingException` - for errors during processing.

### processException

    void processException(Message message,
                          java.lang.Throwable th)

  Process an exception generated by the pipeline processing. Invoked when the processing of a subsequent stage of the pipeline generates an exception.

  Parameters:
    `message` - The original message.
    `th` - The throwable raised by the pipeline processing

### processSuccess

    void processSuccess(Message message)

  Process a successful pipeline process. Invoked when the pipeline processing completes successfully.

  Parameters:
    `message` - The original message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD